summaryrefslogtreecommitdiff
path: root/bin/sourel
diff options
context:
space:
mode:
authorSean Whitton <spwhitton@spwhitton.name>2022-10-07 18:32:31 -0700
committerSean Whitton <spwhitton@spwhitton.name>2022-10-07 18:32:49 -0700
commit6436223d19191400fc75521c03bd437af1b572f9 (patch)
tree57190effb9f42bad5854f7025e6299b83a00d9a8 /bin/sourel
parentd7e8fc02bfbf35ca0639dc49a62dc2649b72dc66 (diff)
downloaddotfiles-6436223d19191400fc75521c03bd437af1b572f9.tar.gz
sourel: simple check to avoid adding more than one changelog entry
Diffstat (limited to 'bin/sourel')
-rwxr-xr-xbin/sourel5
1 files changed, 5 insertions, 0 deletions
diff --git a/bin/sourel b/bin/sourel
index 4b8c0e97..35ae4fcb 100755
--- a/bin/sourel
+++ b/bin/sourel
@@ -14,6 +14,11 @@ if [ "$(dpkg-parsechangelog -SDistribution)" = UNRELEASED ]; then
exit 1
fi
+if dpkg-parsechangelog | grep -q "Source-only upload\."; then
+ echo >&2 "I believe you want 'debrel'"
+ exit 1
+fi
+
debchange --no-auto-nmu Source-only upload.
debchange --release
git commit debian/changelog -m"Source-only upload"